// scripts.js

// Globals

var thetype  = getType();
var thenum = getNum();

function showVersion() {
	document.getElementById('infospan').innerHTML = "version 1.0";
}

function getType() {
    var value;
    if (window.widget && widget.preferenceForKey('mytype')) {
        var value = widget.preferenceForKey('mytype');
    }
    return value;
}

function getNum() {
    var value;
    if (window.widget && widget.preferenceForKey('mynum')) {
        var value = widget.preferenceForKey('mynum');
    }
    return value;
}

function clickit(thetype,thenum)
{
    document.getElementById('copyButton').src='Images/copy_pressed.png';
    widget.system('./cicero.pl '+thetype+' '+thenum+' | /usr/bin/pbcopy', null);
    // window.alert('./cicero.pl '+thetype+' '+thenum+' | /usr/bin/pbcopy');
    setTimeout("document.getElementById('copyButton').src='Images/copy.png'",30);
}

function savePrefs() {
    var typeselector = document.forms[0].selecttype;
    var mytype = typeselector.options[typeselector.selectedIndex].value;
    widget.setPreferenceForKey(mytype,'mytype');
    thetype = mytype;

    var numselector = document.forms[0].selectnum;
    var mynum = numselector.options[numselector.selectedIndex].value;
    widget.setPreferenceForKey(mynum,'mynum');
    thenum = mynum;

	hidePrefs();
}

function adjustPrefs() {
    var typeselector = document.forms[0].selecttype;
    for(i = 0; i < typeselector.childNodes.length; i++) {
        if(typeselector.options[i].value == thetype) {
            typeselector.options[i].selected = true;
            break;
        }
    }
    var numselector = document.forms[0].selectnum;
    for(i = 0; i < numselector.childNodes.length; i++) {
        if(numselector.options[i].value == thenum) {
            numselector.options[i].selected = true;
            break;
        }
    }
}

function showPrefs() {
	var front = document.getElementById("front");
	var back = document.getElementById("back");

	showVersion();
	
	if(window.widget)
		widget.prepareForTransition("ToBack");
				
	front.style.display = "none";
	back.style.display = "block";
		
	if(window.widget)
	setTimeout("widget.performTransition();", 0);  
}


function hidePrefs() {
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if(window.widget)
		widget.prepareForTransition("ToFront");
				
	front.style.display = "block";
	back.style.display = "none";
		
	if(window.widget)
		setTimeout("widget.performTransition();", 0);
}

function mouseEnter() {
   	var image = document.getElementById("showprefs");
	image.style.display = "block";
}


function mouseExit() {
	var image = document.getElementById("showprefs");
	image.style.display = "none";
}


// by Apple
/*
var flipShown = false;
var animation = { duration:0, starttime:0, to:1.0, now:0.0, from:0.0, firstElement:null, timer:null };

function mousemove (event)
{
	if (!flipShown)
	{
		if (animation.timer != null)
		{
			clearInterval (animation.timer);
			animation.timer	 = null;
		}
		
		var starttime = (new Date).getTime() - 13;
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.firstElement = document.getElementById ('showprefs');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 1.0;
		animate();
		flipShown = true;
	}
}

function mouseexit (event)
{
	if (flipShown)
	{
		// fade in the info button
		if (animation.timer != null)
		{
			clearInterval (animation.timer);
			animation.timer	 = null;
		}
		
		var starttime = (new Date).getTime() - 13;
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.firstElement = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 0.0;
		animate();
		flipShown = false;
	}
}

function animate()
{
	var T;
	var ease;
	var time = (new Date).getTime();
	
	
	T = limit_3(time-animation.starttime, 0, animation.duration);
	
	if (T >= animation.duration)
	{
		clearInterval (animation.timer);
		animation.timer = null;
		animation.now = animation.to;
	}
	else
	{
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
		animation.now = computeNextFloat (animation.from, animation.to, ease);
	}
	
	animation.firstElement.style.opacity = animation.now;
}

function limit_3 (a, b, c)
{
	return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease)
{
	return from + (to - from) * ease;
}

*/
